﻿@model ProjectUni.Models.Registration

@{
    ViewBag.Title = "";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
<div class="row">
    <div class="col-sm-offset-1 col-sm-6">

        <h2 class="ph">New Registration</h2>

        @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control", @placeholder = "abcd@gmail.com" } })
                    @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Password, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control", @placeholder = "******" } })
                    @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.ConfirmPassword, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.ConfirmPassword, new { htmlAttributes = new { @class = "form-control", @placeholder = "******" } })
                    @Html.ValidationMessageFor(model => model.ConfirmPassword, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.UserCategory, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("UserCategory", new List<SelectListItem> {
                                                                               new SelectListItem {Text = "Candidate", Value ="Candidate"},
                                                                                new SelectListItem {Text = "Company", Value ="Company"},
                                                                                new SelectListItem {Text = "Institute", Value ="Institute"}
                                                                           }, "Select User Category", new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.UserCategory, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-2">
                    <input type="submit" value="Create" class="btn btn-default btn-sumbit" />
                    <br /><br />
                    <input type="reset" value="Reset" id="reset" class="btn btn-default btn-sumbit" style="background-color: #e7fab9;color:#527bd0" />
                </div>
            </div>
        </div>

}
        <h4 class="text-danger"> @ViewBag.error </h4>
    </div>
</div>
